Overview | Package | Class | Tree | Deprecated | Index | Help
| ContactCenters V. 0.9.9.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## umontreal.iro.lecuyer.contactcenters.ctmc
Interface CallCenterCTMCWithQueues

All Superinterfaces:
  CallCenterCTMC, Cloneable

All Known Implementing Classes:
  CallCenterCTMC11WithQueues, CallCenterCTMCKIWithQueues

    public interface CallCenterCTMCWithQueues

extends CallCenterCTMC

Extends the `CallCenterCTMC` interface for keeping track of the transition number for any queued contact. This additional bookkeeping allows one to obtain the waiting time of the last contact having entered service or abandoned using the `getLastWaitingTime(int)` method, or the longest waiting time in queue using the `getLongestWaitingTime(int)` method.

Note that waiting times returned by these two methods are expressed in numbers of transitions. Because the simulated Markov chain is uniformized, the expected waiting time can be retrived by dividing this integer by `CallCenterCTMC.getJumpRate()`.

One can use `CallCenterCTMCQueues` to implement the two methods specified by this interface.

Method Summary
`int` | `getLastWaitingTime(int k)` ?eturns waiting time of the last contact of type `k` having entered service, or abandoned.
`int` | `getLongestWaitingTime(int k)` Returns the longest waiting time among all contacts of type `k`.

Methods inherited from interface umontreal.iro.lecuyer.contactcenters.ctmc.CallCenterCTMC
`clone, equalsState, generateAbandonment, generateArrival, generateArrivalQueued, generateArrivalServed, generateEndService, generateEndService, generateFalseTransition, getArrivalRate, getArrivalRate, getJumpRate, getLastSelectedAgentGroup, getLastSelectedContact, getLastSelectedContactType, getLastSelectedQueuedContactType, getLastTransitionType, getMaxArrivalRate, getMaxArrivalRate, getMaxNumAgents, getMaxNumAgents, getMaxNumAgentsArray, getMaxPatienceRate, getMaxQueueCapacity, getMaxServiceRate, getNextTransition, getNextTransitionInt, getNumAgentGroups, getNumAgents, getNumAgents, getNumAgentsArray, getNumContactsInQueue, getNumContactsInQueue, getNumContactsInService, getNumContactsInService, getNumContactsInServiceI, getNumContactsInServiceK, getNumContactTypes, getNumFollowingFalseTransitions, getNumPrecedingFalseTransitions, getNumStateThresh, getNumTransitionsDone, getPatienceRate, getProbBalking, getQueueCapacity, getRanksGT, getRanksTG, getServiceRate, getStateThresh, getStateThresholds, getTargetNumTransitions, hashCodeState, init, initEmpty, nextState, nextStateInt, selectContact, setArrivalRate, setArrivalRates, setMaxArrivalRate, setMaxArrivalRates, setMaxNumAgents, setMaxNumAgents, setMaxPatienceRate, setMaxQueueCapacity, setMaxServiceRate, setNumAgents, setNumAgents, setPatienceRate, setProbBalking, setQueueCapacity, setServiceRate, setStateThresholds, setTargetNumTransitions`

Method Detail

### getLastWaitingTime

    int getLastWaitingTime(int k)

  ?eturns waiting time of the last contact of type `k` having entered service, or abandoned. If no such contact exists, this method returns 0.

  Parameters:
    `k` - the queried tppe of contact.
  Returns:
    the last waiting time.

### getLongestWaitingTime

    int getLongestWaitingTime(int k)

  Returns the longest waiting time among all contacts of type `k`. This returns 0 if no contact of type `k` is waiting in queue.

  Parameters:
    `k` - the queried contact type.
  Returns:
    the longest waiting time.

Overview | Package | Class | Tree | Deprecated | Index | Help
| ContactCenters V. 0.9.9.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

To submit a bug or ask questions, send an e-mail to Richard Simard.